Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRParameter

All Superinterfaces:
  java.lang.Cloneable, JRCloneable, JRPropertiesHolder

All Known Subinterfaces:
  JRCrosstabParameter, JRValueParameter

All Known Implementing Classes:
  JRBaseCrosstabParameter, JRBaseParameter, JRDesignCrosstabParameter, JRDesignParameter, JRFillCrosstabParameter, JRFillParameter

    public interface JRParameter

extends JRPropertiesHolder, JRCloneable

Version:
  $Id: JRParameter.java 3960 2010-09-22 11:27:59Z teodord $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Field Summary
`static java.lang.String` | `IS_IGNORE_PAGINATION` Whether to use pagination.
`static java.lang.String` | `JASPER_REPORT` A `net.sf.jasperreports.engine.JasperReport` instance representing the current report template.
`static java.lang.String` | `REPORT_CLASS_LOADER` A `java.lang.ClassLoader` instance to be used during the report filling process to load resources such as images, fonts and subreport templates.
`static java.lang.String` | `REPORT_CONNECTION` A `java.sql.Connection` needed to run the default report query.
`static java.lang.String` | `REPORT_DATA_SOURCE` A `JRDataSource` instance representing the report data source.
`static java.lang.String` | `REPORT_FILE_RESOLVER` A `FileResolver` instance to be used during the report filling process to handle locate files on disk using relative paths.
`static java.lang.String` | `REPORT_FORMAT_FACTORY` A `FormatFactory` instance to be used during the report filling process to create instances of `java.text.DateFormat`to format date text fields and instances of `java.text.NumberFormat`to format numeric text fields.````
`static java.lang.String` | `REPORT_LOCALE` A `java.util.Locale` instance containing the resource bundle desired locale.
`static java.lang.String` | `REPORT_MAX_COUNT` An integer allowing users to limit the datasource size.
`static java.lang.String` | `REPORT_PARAMETERS_MAP` A `Map` containing report parameters passed by users at fill time.
`static java.lang.String` | `REPORT_RESOURCE_BUNDLE` The `java.util.ResourceBundle` containing localized messages.
`static java.lang.String` | `REPORT_SCRIPTLET` A `JRAbstractScriptlet` containing an instance of the report scriptlet provided by the user.
`static java.lang.String` | `REPORT_TEMPLATES` A `collection` of `templates` passed to the report at fill time.
`static java.lang.String` | `REPORT_TIME_ZONE` A `java.util.TimeZone` instance to use for date formatting.
`static java.lang.String` | `REPORT_URL_HANDLER_FACTORY` A `java.net.URLStreamHandlerFactory` instance to be used during the report filling process to handle custom URL protocols for loading resources such as images, fonts and subreport templates.
`static java.lang.String` | `REPORT_VIRTUALIZER` The `JRVirtualizer` to be used for page virtualization.
`static java.lang.String` | `SORT_FIELDS`

Method Summary
`JRExpression` | `getDefaultValueExpression()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.lang.Class` | `getNestedType()` Returns the parameter nested value type.
`java.lang.String` | `getNestedTypeName()` Returns the name of the parameter nested value type.
`java.lang.Class` | `getValueClass()`
`java.lang.String` | `getValueClassName()`
`boolean` | `isForPrompting()`
`boolean` | `isSystemDefined()`
`void` | `setDescription(java.lang.String description)`

Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder
`getParentProperties, getPropertiesMap, hasProperties`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Field Detail

### REPORT_PARAMETERS_MAP

    static final java.lang.String REPORT_PARAMETERS_MAP

  A `Map` containing report parameters passed by users at fill time.

  See Also:
    Constant Field Values

### JASPER_REPORT

    static final java.lang.String JASPER_REPORT

  A `net.sf.jasperreports.engine.JasperReport` instance representing the current report template.

  See Also:
    Constant Field Values

### REPORT_CONNECTION

    static final java.lang.String REPORT_CONNECTION

  A `java.sql.Connection` needed to run the default report query.

  See Also:
    Constant Field Values

### REPORT_MAX_COUNT

    static final java.lang.String REPORT_MAX_COUNT

  An integer allowing users to limit the datasource size.

  See Also:
    Constant Field Values

### REPORT_DATA_SOURCE

    static final java.lang.String REPORT_DATA_SOURCE

  A `JRDataSource` instance representing the report data source. JasperReports defines some convenience implementations of `JRDataSource`, but users may create their own data sources for specific needs.

  See Also:
    Constant Field Values

### REPORT_SCRIPTLET

    static final java.lang.String REPORT_SCRIPTLET

  A `JRAbstractScriptlet` containing an instance of the report scriptlet provided by the user.

  See Also:
    Constant Field Values

### REPORT_LOCALE

    static final java.lang.String REPORT_LOCALE

  A `java.util.Locale` instance containing the resource bundle desired locale. This parameter should be used in conjunction with REPORT_RESOURCE_BUNDLE.

  See Also:
    Constant Field Values

### REPORT_RESOURCE_BUNDLE

    static final java.lang.String REPORT_RESOURCE_BUNDLE

  The `java.util.ResourceBundle` containing localized messages. If the resource bundle base name is specified at design time, the engine will try to load the resource bundle using specified name and locale.

  See Also:
    Constant Field Values

### REPORT_TIME_ZONE

    static final java.lang.String REPORT_TIME_ZONE

  A `java.util.TimeZone` instance to use for date formatting.

  See Also:
    Constant Field Values

### REPORT_VIRTUALIZER

    static final java.lang.String REPORT_VIRTUALIZER

  The `JRVirtualizer` to be used for page virtualization. This parameter is optional.

  See Also:
    Constant Field Values

### REPORT_CLASS_LOADER

    static final java.lang.String REPORT_CLASS_LOADER

  A `java.lang.ClassLoader` instance to be used during the report filling process to load resources such as images, fonts and subreport templates.

  See Also:
    Constant Field Values

### REPORT_URL_HANDLER_FACTORY

    static final java.lang.String REPORT_URL_HANDLER_FACTORY

  A `java.net.URLStreamHandlerFactory` instance to be used during the report filling process to handle custom URL protocols for loading resources such as images, fonts and subreport templates.

  See Also:
    Constant Field Values

### REPORT_FILE_RESOLVER

    static final java.lang.String REPORT_FILE_RESOLVER

  A `FileResolver` instance to be used during the report filling process to handle locate files on disk using relative paths.

  See Also:
    Constant Field Values

### REPORT_FORMAT_FACTORY

    static final java.lang.String REPORT_FORMAT_FACTORY

  A `FormatFactory` instance to be used during the report filling process to create instances of `java.text.DateFormat`to format date text fields and instances of `java.text.NumberFormat`to format numeric text fields.

  See Also:
    Constant Field Values
  ````

### IS_IGNORE_PAGINATION

    static final java.lang.String IS_IGNORE_PAGINATION

  Whether to use pagination.

  If set to `true` the report will be generated on one long page.

  See Also:
    Constant Field Values

### REPORT_TEMPLATES

    static final java.lang.String REPORT_TEMPLATES

  A `collection` of `templates` passed to the report at fill time.

  These templates add to the ones specified in the report (see `JRReport.getTemplates()`). In the final templates list they are placed after the report templates; therefore styles from these templates can use and override styles in the report templates. They are, however, placed before the report styles hence report styles can use and override styles from these templates.

  See Also:
    Constant Field Values

### SORT_FIELDS

    static final java.lang.String SORT_FIELDS

See Also:
  Constant Field Values

Method Detail

### getName

    java.lang.String getName()

### getDescription

    java.lang.String getDescription()

### setDescription

    void setDescription(java.lang.String description)

### getValueClass

    java.lang.Class getValueClass()

### getValueClassName

    java.lang.String getValueClassName()

### isSystemDefined

    boolean isSystemDefined()

### isForPrompting

    boolean isForPrompting()

### getDefaultValueExpression

    JRExpression getDefaultValueExpression()

### getNestedType

    java.lang.Class getNestedType()

  Returns the parameter nested value type.

  The parameter nested value type is used when the parameter value class is not sufficient in determining the expected type of the parameter values. The most common such scenario is when the parameter value class is `Collection` or a derived class, in which case the nested type specifies the type of values which are to be placed inside the collection.

  Returns:
    the nested value type for this parameter, or `null` if none set
  See Also:
    `getValueClass()`

### getNestedTypeName

    java.lang.String getNestedTypeName()

  Returns the name of the parameter nested value type.

  Returns:
    the name of the nested value type for this parameter, or `null` if none set
  See Also:
    `getNestedType()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com